Description

I have the use case to generate pull distributions for a large observation container (>200 hours). When running cspull each individual

trial takes quite some time to compute. Ideally, I would want to run cspull on several machines in parallel and merge the resulting

files afterwards to do the plotting.

For this purpose it is necessary that each simulation runs with a different seed. I therefore propose to introduce the parameter seed

in cspull that is then passed to the simulation. Thus the user could steer if each job of cspull would give same results or not.

History

#1 - 04/05/2016 02:15 PM - Knödlseder Jürgen

Fully agree. We can add a hidden seed parameter.

This brings up an interesting issue: how to parallelize Python scripts? Python itself cannot be parallelized due to a global interpreter lock. But there

are modules, which however are not standard.

On the other hand: have you had several observations in a container, or was this just a single long observation. In the former case, ctobssim and

ctlike should be parallelised.

#2 - 04/05/2016 03:13 PM - Mayer Michael

On the other hand: have you had several observations in a container, or was this just a single long observation. In the former case, ctobssim and

ctlike should be parallelised.

 

I was having a large number observations in the container with various pointing positions (>400 observations). My idea was to simply split the

computation into several jobs. Each job running cspull with e.g. 20 trials. ctobssim and ctlike already support openmp internally.

We just have to take care that the seed for each ctobssim job is unique, that we don't simulate things multiple times and thus falsify the pull

distribution.

I can come up with a solution for cspull using the seed parameter.

#3 - 04/06/2016 03:59 PM - Mayer Michael

- Status changed from New to Pull request
pull request on branch 1755-seed-for-cspull

#4 - 04/11/2016 03:57 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Assigned To set to Mayer Michael

- Target version set to 1.1.0

- Start date set to 04/11/2016

Merged into devel.
